FREE_BIFT(1)

NAME
free_bift - manual page for free_bift 2026.2

DESCRIPTION
usage: free_bift [OPTIONS] FILES

Calculate the density as function of distance p(r) curve from an I(q) scattering curve

  positional arguments:

FILE
    I(q) files to convert into p(r)

  options:

-h, --help
    show this help message and exit

-v, --verbose
    switch to verbose mode

-V, --version
    show program's version number and exit

-o, --output OUTPUT
    Output filename

-u, --unit {nm,??,A}
    Unit for q: inverse nm or ??ngstrom?

-n, --npt NPT
    number of points in p(r) curve

-s, --scan SCAN
    Initial alpha-scan size to guess the start parameter

-m, --mc MC
    Number of Monte-Carlo samples in post-refinement

-t, --threshold THRESHOLD
    Sample at average ?? threshold*sigma in MC

free_bift is a Python implementation of the Bayesian Inverse Fourier Transform This code is the implementation of Steen Hansen J. Appl. Cryst. (2000). 33, 1415-1421 Based on the BIFT from Jesse Hopkins, available at: https://sourceforge.net/p/bioxtasraw/git/ci/master/tree/bioxtasraw/BIFT.py It aims at being a drop in replacement for datgnom of the ATSAS suite.

SEE ALSO
The full documentation for free_bift is maintained as a Texinfo manual. If the info and free_bift programs are properly installed at your site, the command

    info free_bift

should give you access to the complete manual.